<?php

error_reporting(E_ALL ^ E_NOTICE);
// Permite la conexion desde cualquier origen
header("Access-Control-Allow-Origin: *");
// Permite la ejecucion de los metodos
header("Access-Control-Allow-Methods: GET, POST, PUT, DELETE");
// Se incluye el archivo que contiene la clase generica
include_once '../conexion.php';

$bodyRequest = file_get_contents("php://input");

// Decodifica el cuerpo de la solicitud y lo guarda en un array de PHP
$datos = json_decode($bodyRequest, true);

    $sql="UPDATE categorias SET  nombre='".$datos['nombre']."' WHERE id =" .$datos['id']."";

    if ($result = mysqli_query($conn, $sql)) {
        $resultado['ESTADO'] = "1";
        $resultado['MENSAJE'] = "LA INFORMACION ACTUALIZO CORRECTAMENTE";
    }else{
        $resultado['ESTADO'] = "0";
        $resultado['MENSAJE'] = "ERROR AL ACTUALIZAR LA INFORMACION: ".mysqli_error($conn);   
    }
    // Cerrar la conexión a la base de datos
    mysqli_close($conn);


print_json($resultado);

function print_json($data) {
    header("HTTP/1.1");
    header("Content-Type: application/json; charset=UTF-8");
    echo json_encode($data, JSON_PRETTY_PRINT);
}


?>